com.trendmicro.ds.antimalware.rest.api

## Interface IAntiMalwareEventAPI

-     @Path(value="/events")
      public interface IAntiMalwareEventAPI

  Interface for event retrieval

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AntiMalwareEvent` | `describeEvent(java.lang.Long eventId, java.lang.String sessionId)` Get AntiMalware with specific event id.
    `javax.ws.rs.core.Response` | `getAntiMalwareEventsInMCP(java.lang.Long eventId, java.lang.String eventIdOp, java.lang.Integer maxItems, java.lang.Integer header, java.lang.String sessionId)` Get AntiMalware events
    `javax.ws.rs.core.Response` | `getSuspiciousObjectEventsInMCP(java.lang.Long eventId, java.lang.String eventIdOp, java.lang.Integer maxItems, java.lang.Integer header, java.lang.String sessionId)` Get Suspicious Object events
    `ListAntiMalwareEventsResponse` | `listEvents(java.lang.Long eventId, java.lang.String eventIdOp, java.lang.Integer maxItems, java.lang.Long eventTime, java.lang.String eventTimeOp, java.lang.String sessionId)` Get AntiMalware events

- - ### Method Detail

    - #### describeEvent

          @GET
           @Path(value="/antimalware/{eventID}")
           @Produces(value={"application/json","application/xml"})
          AntiMalwareEvent describeEvent(@PathParam(value="eventID")
                                                                                                                                              java.lang.Long eventId,
                                                                                                                                              @QueryParam(value="sID")
                                                                                                                                              java.lang.String sessionId)
                                                                                                                                       throws java.lang.Exception

      Get AntiMalware with specific event id.
      Parameters:
        `eventId` - the event id to fetch
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        the event with the specific id
      Throws:
        `java.lang.Exception`

    - #### listEvents

          @GET
           @Path(value="/antimalware")
           @Produces(value={"application/json","application/xml"})
          ListAntiMalwareEventsResponse listEvents(@QueryParam(value="eventId")
                                                                                                                                              java.lang.Long eventId,
                                                                                                                                              @QueryParam(value="eventIdOp")
                                                                                                                                              java.lang.String eventIdOp,
                                                                                                                                              @QueryParam(value="maxItems")
                                                                                                                                              java.lang.Integer maxItems,
                                                                                                                                              @QueryParam(value="eventTime")
                                                                                                                                              java.lang.Long eventTime,
                                                                                                                                              @QueryParam(value="eventTimeOp")
                                                                                                                                              java.lang.String eventTimeOp,
                                                                                                                                              @QueryParam(value="sID")
                                                                                                                                              java.lang.String sessionId)
                                                                                                                                       throws java.lang.Exception

      Get AntiMalware events
      Parameters:
        `eventId` - the event id to query for events. Combined with eventIdOp, the returning events can be filtered according to the id.
        `eventIdOp` - defined the events to return. Currently supported operations include gt(greater than), ge(greater than or equal to), eq(eqaul to), lt(less than), and le(less than or equal to). If an unsupported operator is provided, the default is 'eq'.
        `maxItems` - the maximum events to return
        `eventTime` - the event time to query for events. It is represented by a long integer, which is the milliseconds since January 1, 1970, 00:00:00 GMT. Combined with eventTimeOp, the returning events can be filtered by the specific milliseconds.
        `eventTimeOp` - defined the events to return. Currently supported operations include gt(greater than), ge(greater than or equal to), eq(eqaul to), lt(less than), and le(less than or equal to). If an unsupported operator is provided, the default is 'eq'.
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        a AntiMalwareEventListing, a collection of the events meet the given criteria.
      Throws:
        `java.lang.Exception`

    - #### getAntiMalwareEventsInMCP

          @GET
           @Path(value="/antimalwareinmcp")
           @Produces(value="application/octet-stream")
          javax.ws.rs.core.Response getAntiMalwareEventsInMCP(@QueryParam(value="eventId")
                                                                                                                                                  java.lang.Long eventId,
                                                                                                                                                  @QueryParam(value="eventIdOp")
                                                                                                                                                  java.lang.String eventIdOp,
                                                                                                                                                  @QueryParam(value="maxItems")
                                                                                                                                                  java.lang.Integer maxItems,
                                                                                                                                                  @QueryParam(value="header")
                                                                                                                                                  java.lang.Integer header,
                                                                                                                                                  @QueryParam(value="sID")
                                                                                                                                                  java.lang.String sessionId)
                                                                                                                                           throws java.lang.Exception

      Get AntiMalware events
      Parameters:
        `eventId` - the event id to query for events. Combined with eventIdOp, the returning events can be filtered according to the id.
        `eventIdOp` - defined the events to return. Currently supported operations include gt(greater than), ge(greater than or equal to), eq(eqaul to), lt(less than), and le(less than or equal to).
        `maxItems` - the maximum events to return
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        a binary stream in which events meeting the given criteria is encoded into MCP format.
      Throws:
        `java.lang.Exception`

    - #### getSuspiciousObjectEventsInMCP

          @GET
           @Path(value="/suspiciousobjectinmcp")
           @Produces(value="application/octet-stream")
          javax.ws.rs.core.Response getSuspiciousObjectEventsInMCP(@QueryParam(value="eventId")
                                                                                                                                                            java.lang.Long eventId,
                                                                                                                                                            @QueryParam(value="eventIdOp")
                                                                                                                                                            java.lang.String eventIdOp,
                                                                                                                                                            @QueryParam(value="maxItems")
                                                                                                                                                            java.lang.Integer maxItems,
                                                                                                                                                            @QueryParam(value="header")
                                                                                                                                                            java.lang.Integer header,
                                                                                                                                                            @QueryParam(value="sID")
                                                                                                                                                            java.lang.String sessionId)
                                                                                                                                                     throws java.lang.Exception

      Get Suspicious Object events
      Parameters:
        `eventId` - the event id to query for events. Combined with eventIdOp, the returning events can be filtered according to the id.
        `eventIdOp` - defined the events to return. Currently supported operations include gt(greater than), ge(greater than or equal to), eq(eqaul to), lt(less than), and le(less than or equal to).
        `maxItems` - the maximum events to return
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        a binary stream in which events meeting the given criteria is encoded into MCP format.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.